[arch-commits] Commit in gst-plugins-bad/repos (4 files)
Jan Steffens
heftig at archlinux.org
Wed Sep 23 22:05:29 UTC 2015
Date: Thursday, September 24, 2015 @ 00:05:29
Author: heftig
Revision: 247192
archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64
Added:
gst-plugins-bad/repos/gnome-unstable-i686/
gst-plugins-bad/repos/gnome-unstable-i686/PKGBUILD
(from rev 247191, gst-plugins-bad/trunk/PKGBUILD)
gst-plugins-bad/repos/gnome-unstable-x86_64/
gst-plugins-bad/repos/gnome-unstable-x86_64/PKGBUILD
(from rev 247191, gst-plugins-bad/trunk/PKGBUILD)
--------------------------------+
gnome-unstable-i686/PKGBUILD | 47 +++++++++++++++++++++++++++++++++++++++
gnome-unstable-x86_64/PKGBUILD | 47 +++++++++++++++++++++++++++++++++++++++
2 files changed, 94 insertions(+)
Copied: gst-plugins-bad/repos/gnome-unstable-i686/PKGBUILD (from rev 247191, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD (rev 0)
+++ gnome-unstable-i686/PKGBUILD 2015-09-23 22:05:29 UTC (rev 247192)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.5.91
+pkgrel=1
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+arch=('i686' 'x86_64')
+license=('LGPL')
+url="http://gstreamer.freedesktop.org/"
+depends=('mjpegtools' 'gst-plugins-base-libs' 'curl' 'chromaprint' 'libmms' 'faad2' 'mpg123' 'faac' 'celt' 'libdca' 'soundtouch' 'spandsp' 'libdvdnav' 'libmodplug' 'libgme' 'opus' 'wayland' 'neon' 'libofa' 'fluidsynth' 'openjpeg' 'libwebp' 'libsrtp' 'gnutls' 'wildmidi' 'glu' 'sbc' 'rtmpdump' 'libgudev')
+makedepends=('schroedinger' 'libexif' 'libdvdread' 'libvdpau' 'libmpeg2' 'python' 'valgrind' 'wildmidi' 'librsvg'
+ 'gobject-introspection' 'gtk-doc' 'gtk3' 'clutter' 'opencv' 'libtiger' 'ladspa' 'openal' 'libusb')
+options=(!emptydirs)
+source=(${url}/src/$pkgname/$pkgname-$pkgver.tar.xz)
+sha256sums=('193534a17c4338f8e8fa2f1720e6f61557e72ee6a6985d551020f63226a0c810')
+
+prepare() {
+ cd $pkgname-$pkgver
+ autoreconf -vi
+}
+
+build() {
+ cd $pkgname-$pkgver
+
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+ --disable-static --enable-experimental --enable-gtk-doc \
+ --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+ --with-package-origin="http://www.archlinux.org/" \
+ --with-gtk=3.0
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # don't have a camera for the camerabin test
+ make -k check || :
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="${pkgdir}" install
+}
Copied: gst-plugins-bad/repos/gnome-unstable-x86_64/PKGBUILD (from rev 247191, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD 2015-09-23 22:05:29 UTC (rev 247192)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.5.91
+pkgrel=1
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+arch=('i686' 'x86_64')
+license=('LGPL')
+url="http://gstreamer.freedesktop.org/"
+depends=('mjpegtools' 'gst-plugins-base-libs' 'curl' 'chromaprint' 'libmms' 'faad2' 'mpg123' 'faac' 'celt' 'libdca' 'soundtouch' 'spandsp' 'libdvdnav' 'libmodplug' 'libgme' 'opus' 'wayland' 'neon' 'libofa' 'fluidsynth' 'openjpeg' 'libwebp' 'libsrtp' 'gnutls' 'wildmidi' 'glu' 'sbc' 'rtmpdump' 'libgudev')
+makedepends=('schroedinger' 'libexif' 'libdvdread' 'libvdpau' 'libmpeg2' 'python' 'valgrind' 'wildmidi' 'librsvg'
+ 'gobject-introspection' 'gtk-doc' 'gtk3' 'clutter' 'opencv' 'libtiger' 'ladspa' 'openal' 'libusb')
+options=(!emptydirs)
+source=(${url}/src/$pkgname/$pkgname-$pkgver.tar.xz)
+sha256sums=('193534a17c4338f8e8fa2f1720e6f61557e72ee6a6985d551020f63226a0c810')
+
+prepare() {
+ cd $pkgname-$pkgver
+ autoreconf -vi
+}
+
+build() {
+ cd $pkgname-$pkgver
+
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+ --disable-static --enable-experimental --enable-gtk-doc \
+ --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+ --with-package-origin="http://www.archlinux.org/" \
+ --with-gtk=3.0
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # don't have a camera for the camerabin test
+ make -k check || :
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="${pkgdir}" install
+}
More information about the arch-commits
mailing list